import { Component } from 'react';
import { TruncateTextState } from './props';
import type { TruncateTextProps } from './props';
/**
---
category: components
---
**/
declare class TruncateText extends Component<TruncateTextProps, TruncateTextState> {
    static readonly componentId = "TruncateText";
    static allowedProps: readonly ("children" | "debounce" | "onUpdate" | "maxLines" | "position" | "shouldTruncateWhenInvisible" | keyof import("./props").CleanDataOptions)[];
    static propTypes: import("@instructure/shared-types").PropValidators<"children" | "debounce" | "onUpdate" | "maxLines" | "position" | "shouldTruncateWhenInvisible" | keyof import("./props").CleanDataOptions>;
    static defaultProps: {
        maxLines: number;
        ellipsis: string;
        truncate: string;
        position: string;
        ignore: string[];
        debounce: number;
    };
    ref: Element | null;
    private _text?;
    private _debounced?;
    private _stage;
    private _wasTruncated?;
    private _resizeListener?;
    private _prevWidth;
    constructor(props: TruncateTextProps);
    get _ref(): Element | null;
    get initialState(): {
        isTruncated: boolean;
        needsSecondRender: boolean;
        truncatedElement: undefined;
        truncatedText: undefined;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: TruncateTextProps): void;
    checkChildren(): void;
    update: () => void;
    truncate(): void;
    renderChildren(truncated: boolean, data: string[][], width: number): any;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default TruncateText;
export { TruncateText };
//# sourceMappingURL=index.d.ts.map