import type { CleanDataOptions } from '../props';
/**
 * ---
 * parent: TruncateText
 * private: true
 * ---
 * Removes given characters, such as whitespace and punctuation, from stringData
 * arrays used by Truncator and TruncateText.
 *
 * @param {Array} stringData A stringData array.
 * @param {Object} options The options object.
 * @param {string} options.truncate Is the data being truncated by character or word.
 * @param {string[]} options.ignore An array of characters to remove around the ellipsis.
 * @param {string} options.ellipsis The string being used as an ellipsis.
 * @param {boolean} repeat=false Do a thorough clean.
 */
declare function cleanData(stringData: string[][], options: Required<CleanDataOptions>, repeat?: boolean): string[][];
export default cleanData;
//# sourceMappingURL=cleanData.d.ts.map